Bug 800246 - Better Error handling messages for quotas.
Better Error handling messages for quotas.
Status: NEW
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Angus Thomas
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-03-06 00:49 EST by Aziza Karol
Modified: 2014-01-05 13:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
err (248.18 KB, image/png)
2012-03-06 00:49 EST, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2012-03-06 00:49:24 EST
Created attachment 567838 [details]

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
logging this issue to track:

Require better error messages for quotas.
It would be nice if the formatting for
multiple errors was a bit better and compressed.

see attached screenshot.

Additional info:
rpm -qa | grep aeolus
Comment 1 Aziza Karol 2012-03-07 00:53:29 EST
<akarol> athomas, if different catalogs are assigned to same zone.then which catalog should be displayed on the cloud page?
<athomas> akarol, I think the current behavior is to show the first one that was created
<akarol> athomas, i think we should not allow different catalogs to be assigned to same zone
<athomas> akarol, Well, catalogs are intended to become more useful in future releases.. as a way of grouping deployables which a set of users can launch
<athomas> akarol, So, potentially, we're going to have more catalogs  in future.
<athomas> akarol, And, if there was  a hard limit of one per zone, we wouldn't really need catalogs to be separate objects at all.. the list of deployables could just be a feature of the zone
<athomas> akarol, I think the problem we have at the moment is the UI showing a single catalog for a zone
<akarol> athomas, yes
<athomas> akarol, That's the default state, but there's no reason to expect users to stick with that
<akarol> may be multiple catalog names should be displayed if multiple catalogs are assigned to one zone
<athomas> akarol, Yeah.. Well we need to do some more design/thinking after 1.0.
Comment 2 Aziza Karol 2012-03-07 06:56:05 EST
Please ignore comment 1. wrongly pasted.

Note You need to log in before you can comment on or make changes to this bug.